{% extends "base.html" %}

{% block head %}
<link href='{{ sitepath }}static/css/dropzone.css' media='screen, projection' rel='stylesheet' type='text/css'>
{% endblock %}

{% block content %}

<script src="{{ sitepath }}static/js/scriptizinho.js" type="text/javascript"></script>

<div id="fileupload">
    <form action="{{ sitepath }}upload" class="dropzone" id="dropzone" method="POST" enctype="multipart/form-data" data-maxsize="{{ maxsize }}">
        <div class="fallback">
            <input id="fileinput" name="file" type="file" /><br />
            <input id="submitbtn" type="submit" value="Subir outro arquivo">
        </div>

        <!--<div id="choices" style="border-bottom: 1px solid #eee;">
            <div id="expiry">
                <label>Validade do arquivo:
                    <select name="expires" id="expires">
                        {% for expiry in expirylist %}
                        <option value="{{ expiry.Seconds }}"{% if forloop.Last %} selected{% endif %}>{{ expiry.Human }}</option>
                        {% endfor %}
                    </select>
                </label>
            </div>
            <label><input name="randomize" id="randomize" type="checkbox" checked /> Nome randômico?</label>
        </div>-->
        <nav class="navbar navbar-default" style="width: 100%">
            <!-- <div id="popinfo" class="container-fluid" data-container="body" title="Aviso" data-toggle="popover" data-placement="bottom" data-trigger="focus" data-content="Escolha a validade antes de subir o arquivo" >-->
                <!-- Brand and toggle get grouped for better mobile display -->

                <div class="navbar-header"></div>
              
                <p class="navbar-text" style="margin-top: 13px; float: left;">Altere a validade se quiser antes de subir o arquivo:</p>



                <div id="choices" style="width: 120px; float: right; padding-right: 5px">

                    <div id="expiry" class="changer" >

                            <select name="expires" id="expires" class="ui-expiry" >
                                {% for expiry in expirylist %}
                                <option value="{{ expiry.Seconds }}"{% if forloop.Last %} selected{% endif %} >{{ expiry.Human }}</option>
                                {% endfor %}
                            </select>

                    </div>

                   <!-- <label><input name="randomize" id="randomize" type="checkbox" checked /> Nome randômico?</label>-->

                </div>
                <!-- <p class="navbar-text" style="margin-top: 13px; float:right; padding-right: 5px" >Validade:</p>-->
          <!--  </div>-->
        </nav>



        <p></p>


        <div id="dzone" class="dz-default dz-message">
            <span>Clique aqui ou Arraste um arquivo pra cá</span>
        </div>

    </form>

    <p></p>

    <div class="progress">
        <div id="ui-progress" class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="min-width: 2em; width: 2%;">
            0%
        </div>
    </div>
	
	<div id="dialog" title="Alerta" class="info-alert-1">
		  <p>Você deve preencher todos os campos antes de enviar o email, eles são essenciais para saber quem enviou o arquivo e do que se trata.</p>
	</div>

    <div class="ui-response">
        <div id="ui-alert-1" class="alert alert-success search-alert-1" role="alert">

            <a href="#" class="alert-link" id="alert-id-1"></a>
        </div>

		<div id="ui-mail-3" class="input-group" style="width: 100%">
			<input type="text" name="email" required id="field-info" class="form-control field-info" placeholder="Descreva o arquivo" title="Descreva o arquivo para que o destinatário saiba o que é">
		</div>
		
		<p></p>
		
        <div id="ui-mail-0" class="input-group" style="width: 100%">
            <span class="input-group-addon">@</span>
            <input type="text" name="email" required id="field-email-1" class="form-control field-email-1" placeholder="Seu E-Mail.." title="E-mail de quem está enviando">
        </div>

        <p></p>

        <div id="ui-mail-1" class="input-group" style="width: 450px">
            <span class="input-group-addon">@</span>
            <input type="text" name="email" required id="field-email-2" class="form-control field-email-2" placeholder="Destinatário do link 1..." title="Quem irá receber o link">
			<input type="text" name="email1" id="field-email-3" class="form-control field-email-2" placeholder="Destinatário do link 2..." title="Quem irá receber o link">
			<input type="text" name="email2" id="field-email-4" class="form-control field-email-2" placeholder="Destinatário do link 3..." title="Quem irá receber o link">
			<input type="text" name="email3" id="field-email-5" class="form-control field-email-2" placeholder="Destinatário do link 4..." title="Quem irá receber o link">
			<input type="text" name="email4" id="field-email-6" class="form-control field-email-2" placeholder="Destinatário do link 5..." title="Quem irá receber o link">
          <span class="input-group-btn">
              <!--<a rel="{{ sitepath }}sendmail?envia=true&" id="button-envia-mail" class="btn btn-default btn-naave">Enviar</a>
              <a href="#" id="button-envia-mail" class="btn btn-default">Enviar</a>-->
          </span>
        </div>
		<p></p>
		<div id="ui-mail-2" class="input-group" style="width: 100%">
			<button type="button" class="btn btn-default btn-delete" aria-label="Right Align" style="float: left>
                <span class="glyphicon glyphicon-trash" aria-hidden="true"></span> Apagar Arquivo
            </button>
			<a rel="{{ sitepath }}sendmail?envia=true&" id="button-envia-mail" class="btn btn-default btn-naave btn-enviar" style="float: right">Enviar E-Mails</a>
		</div>
        <p>
        <div class="progress">
            <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 0%">
                <span class="sr-only">100% Complete</span>
            </div>
        </div></p>

        <p></p>

        <div class="ui-delete-button" id="delete-button">
            
        </div>
    </div>

    <div id="uploads" class="c-uploads"></div>

</div>


	<div id="dialog-form" title="Digite a senha para acesso">
	  <form>
		<fieldset>
		 
		  <label for="password">Password</label>
		  <input type="password" name="password" id="password" value="xxxxxxx" class="text ui-widget-content ui-corner-all">
	 
		  <!-- Allow form submission with keyboard without duplicating the dialog button -->
		  <input type="submit" tabindex="-1" style="position:absolute; top:-1000px">
		</fieldset>
	  </form>
	</div>



<div id="ui-alert-3" class="alert alert-success search-alert-3" role="alert">
    <span class="glyphicon glyphicon-save-file" aria-hidden="true"></span>
    <a href="#" class="alert-link" id="alert-id-3"></a>
</div>

<input name="randomize" id="randomize" style="float: left; margin-top: 17px" type="checkbox" checked />

<script src="{{ sitepath }}static/js/dropzone.js"></script>
<script src="{{ sitepath }}static/js/upload.js"></script>
{% endblock %}
